Description

I have some people giving feedback about the current JPEG compression. Many

users think the "FORMAT=image/jpeg" parameters in the GetMap requests

produce poor quality images, which prevents them from using this option.

I guess the "80%"  rate is used. I think it could be enough to increase it

to 90 to produce better looking images (I personaly create my pyramid with

this option with gdal), or better to leave the choice when installing QGIS

Server by using a config parameter.

The best would be to be able to configure this per layer, such as

FORMAT=image/jpeg; compression:90

Any feedback welcome

History

#1 - 2014-05-26 08:36 AM - Michael Douchin

- Assignee set to Marco Hugentobler

I copy here Marco's answer (in qgis-dev mailing list)

    -  At the moment, the compression rate is left to the Qt library both for png and jpeg (-1 is given to QImage::save). I agree it will be usefull to change from

client or from project.

    -  The problem here is that there has to be a new parameter for each compression rate. It might be better to have the possibility to configure the image

quality in the project or by giving an optional parameter for the image quality (0-100 as the Qt parameter). So if the parameter is not there, the project

setting is used. And if the setting is not set, -1 is used as it is now.

#2 - 2014-05-27 12:58 PM - Michael Douchin

I have almost finished implementing a project WMS capabilities option called "imageQuality". I will send a pull request probably tomorrow to continue the

discussion on this feature and ask for a code review

#3 - 2014-05-28 09:16 AM - Michael Douchin

- % Done changed from 0 to 90
PR : https://github.com/qgis/QGIS/pull/1403

Thanks for reviews

#4 - 2014-06-13 08:15 AM - René-Luc ReLuc

The pull request has been merged, could the issue be closed ?

#5 - 2014-06-13 09:29 AM - Giovanni Manghi

René-Luc ReLuc wrote:

The pull request has been merged, could the issue be closed ?

it works very well!

#6 - 2014-06-13 09:56 AM - Michael Douchin

- Status changed from Open to Closed

closed: done in commit:bcde66fd6a4eed28fb5e0176f5539750042395fd
